#ifndef POSITIONS_H
#define POSITIONS_H

#include "scenes/gameplay/gameplay.h"

namespace pos
{
	extern float backgroundPos;

	extern float recSizeLines;
	extern float recHeight;

	extern float leftDownButtonPosX;
	extern float centerDownButtonPosX;
	extern float rightDownButtonsPosX;
	extern float downButtonsPosY;

	extern float arrowsPosX;
	extern float arrowsPosY;

	extern float leftArrowPosX;
	extern float rightArrowPosX;
	extern float leftAndRightArrowPosY;

	extern float paddlePosX;
	extern float ballPosX;
	extern float entitiesPosY;

	extern float buttonsUpLeftPosX;
	extern float buttonsUpRightPosX;
	extern float buttonsUpPosY;

	extern float pauseAudioButtonPosX;
	extern float pauseAudioButtonPosY;

	extern float paddleControlsLeftArrowPosX;
	extern float paddleControlsRightArrowPosX;
	extern float paddleControlsDefaultPosX;
	extern float paddleControlsRec1PosX;
	extern float paddleControlsRec2PosX;
	extern float paddleControlsKey1PosX;
	extern float paddleControlsKey2PosX;
	extern float paddleControlsRecPosY;
	extern float paddleControlsKeysPosY;
	extern float paddleControlsrecSize;

	extern float resultLeftButtons;
	extern float resultRightButtons;
	extern float resultCenterButton;
	extern float resultUpButtons;
	extern float resultDownButtons;
	
	extern float instructions2Block1PosX;
	extern float instructions2Block2PosX;
	extern float instructions2Block3PosX;
	extern float instructions2Block1PosX2;
	extern float instructions2Block3PosX2;
	extern float instructions2Block1PosY;
	extern float instructions2Block2PosY;
	extern float instructions2Block3PosY;
	extern float instructions2Rec1PosX;
	extern float instructions2Rec2PosX;
	extern float instructions2Rec1PosX2;
	extern float instructions2Rec2PosX2;
	extern float instructions2RecPosY;
	extern float instructions2RecPosX;
	extern float instructions2Rec1PosY;
	extern float instructions2Rec2PosY;

	extern float configurationsRecPosX;
	extern float configurationsRecPosX2;
	extern float configurationsRecPosX3;
	extern float configurationsRecPosX4;
	extern float configurationsRecPosX5;
	extern float configurationsRecPosX6;
	extern float configurationsRecPosX7;
	extern float configurationsRecPosX8;
	extern float configurationsRecPosY;
	extern float configurationsRecPosY2;
	extern float configurationsRecPosY3;
	extern float configurationsRecWidth;
	extern float configurationsRecWidth2;
	extern float configurationsRecWidth3;
	extern float configurationsRecWidth4;

	extern float resolutionsRecPosX;
	extern float resolutionsRecPosX2;
	extern float resolutionsRecPosX3;
	extern float resolutionsRecPosX4;
	extern float resolutionsRecPosX5;
	extern float resolutionsRecPosX6;
	extern float resolutionsRecPosY;
	extern float resolutionsRecPosY2;
	extern float resolutionsRecWidth;

	extern float audioRecPosX;
	extern float audioRecPosX2;
	extern float audioRecPosX3;
	extern float audioRecPosX4;
	extern float audioRecPosX5;
	extern float audioRecPosX6;
	extern float audioRecPosY;
	extern float audioRecPosY2;
	extern float audioRecWidth;

	extern float instructions3PowerupPosX;
	extern float instructions3PowerupPosY;
	extern float instructions3PowerupPosY2;
	extern float instructions4PowerupPosY3;

	extern float creditsRec1PosX;
	extern float creditsRec2PosX;
	extern float creditsRecPosY;
	extern float creditsRecSize;

	extern float menuRecWidth;
	extern float menuRec2PosX;
	extern float menuTitlePosX;
	extern float menuTitlePosY;
	extern float menuHighScorePosX;
	extern float menuHighScorePosY;
	
	extern float settingRecWidth;
	extern float settingRec2PosX;

	extern float rec1PosX;
	extern float recPosY;	
	extern float buttonsPosX;
	extern float buttonPosY;
	extern float button2PosY;
	extern float button3PosY;
	extern float button4PosY;
	extern float button5PosY;

	// Texts
	extern int actualScorePosX;
	extern int actualScorePosX2;
	extern int livesPosX;
	extern int livesPosX2;
	extern int livesPosX3;
	extern int livesPosX4;
	extern int livesPosX5;
	extern int livesPosX6;
	extern int livesPosX7;
	extern int livesPosX8;
	extern int highScorePosX;
	extern int highScorePosX2;
	extern int pausePosX;
	extern int enterPosX;
	extern int spacebarPosX;
	extern int paddleControlsText1PosX;
	extern int paddleControlsText2PosX;
	extern int paddleControlsText3PosX;
	extern int paddleControlsText4PosX;
	extern int paddleControlsText5PosX;
	extern int paddleControlsText6PosX;
	extern int settingsTextPosX;
	extern int settingsTextPosX2;
	extern int paddleColorTextPosX;
	extern int paddleColorTextPosX2;
	extern int paddleColorTextPosX3;
	extern int paddleColorTextPosX4;
	extern int paddleColorTextPosX5;
	extern int paddleColorTextPosX6;
	extern int ballColorTextPosX;
	extern int ballColorTextPosX2;
	extern int ballColorTextPosX3;
	extern int ballColorTextPosX4;
	extern int ballColorTextPosX5;
	extern int ballColorTextPosX6;
	extern int configurationsTextPosX;
	extern int configurationsTextPosX2;
	extern int gameOverPosX;
	extern int resultPosX;
	extern int creditsPosX;
	extern int creditsPosX2;
	extern int creditsPosX3;
	extern int creditsPosX4;
	extern int creditsPosX5;
	extern int creditsPosX6;
	extern int creditsPosX7;
	extern int creditsPosX8;
	extern int creditsPosX9;
	extern int creditsPosX10;
	extern int creditsPosX11;
	extern int credits2PosX;
	extern int credits2PosX2;
	extern int credits2PosX3;
	extern int credits2PosX4;
	extern int credits2PosX5;
	extern int credits2PosX6;
	extern int credits2PosX7;
	extern int instructionsPosX;
	extern int instructionsPosX2;
	extern int instructionsPosX3;
	extern int instructionsPosX4;
	extern int instructionsPosX5;
	extern int instructionsPosX6;
	extern int instructionsPosX7;
	extern int instructionsPosX8;
	extern int instructionsPosX9;
	extern int instructionsPosX10;
	extern int instructionsPosX11;
	extern int instructionsPosX12;
	extern int instructionsPosX13;
	extern int instructionsPosX14;
	extern int instructionsPosX15;
	extern int instructionsPosX16;
	extern int instructionsPosX17;
	extern int instructionsPosX18;
	extern int instructionsPosX19;
	extern int instructionsPosX20;
	extern int instructions2PosX;
	extern int instructions2PosX2;
	extern int instructions2PosX3;
	extern int instructions2PosX4;
	extern int instructions2PosX5;
	extern int instructions2PosX6;
	extern int instructions2PosX7;
	extern int instructions2PosX8;
	extern int instructions2PosX9;
	extern int instructions2PosX10;
	extern int instructions3PosX;
	extern int instructions3PosX2;
	extern int instructions3PosX3;
	extern int instructions3PosX4;
	extern int instructions3PosX5;
	extern int instructions3PosX6;
	extern int instructions3PosX7;
	extern int instructions3PosX8;
	extern int instructions3PosX9;
	extern int instructions3PosX10;
	extern int instructions3PosX11;
	extern int instructions3PosX12;
	extern int instructions3PosX13;
	extern int instructions3PosX14;
	extern int instructions3PosX15;
	extern int instructions3PosX16;
	extern int instructions4PosX;
	extern int instructions4PosX2;
	extern int instructions4PosX3;
	extern int instructions4PosX4;
	extern int instructions4PosX5;
	extern int instructions4PosX6;
	extern int instructions4PosX7;
	extern int instructions4PosX8;
	extern int menuPosX;
	extern int menuPosX2;
	extern int menuPosX3;
	extern int menuPosX4;
	extern int menuPosX5;
	extern int menuPosX6;
	extern int menuPosX7;
	extern int configurationsPosX;
	extern int configurationsPosX2;
	extern int configurationsPosX3;
	extern int configurationsPosX4;
	extern int configurationsPosX5;
	extern int configurationsPosX6;
	extern int configurationsPosX7;
	extern int configurationsPosX8;
	extern int configurationsPosX9;
	extern int configurationsPosX10;
	extern int configurationsPosX11;
	extern int resolutionsPosX;
	extern int resolutionsPosX2;
	extern int resolutionsPosX3;
	extern int resolutionsPosX4;
	extern int resolutionsPosX5;
	extern int resolutionsPosX6;
	extern int resolutionsPosX7;
	extern int resolutionsPosX8;
	extern int resolutionsPosX9;
	extern int resolutionsPosX10;
	extern int audioPosX;
	extern int audioPosX2;
	extern int audioPosX3;
	extern int audioPosX4;
	extern int audioPosX5;
	extern int audioPosX6;
	extern int audioPosX7;
	extern int audioPosX8;
	extern int audioPosX9;
	extern int audioPosX10;
	extern int versionPosX;
	extern int versionPosX2;

	extern int textsPosY;
	extern int textsPosY2;
	extern int textsPosY3;
	extern int textsPosY4;
	extern int paddleControlsText1PosY;
	extern int paddleControlsText2PosY;
	extern int paddleControlsText3PosY;
	extern int paddleControlsText4PosY;
	extern int settingsTextPosY;
	extern int settingsTextPosY2;
	extern int colorTextPosY;
	extern int colorTextPosY2;
	extern int colorTextPosY3;
	extern int colorTextPosY4;
	extern int colorTextPosY5;
	extern int colorTextPosY6;
	extern int gameOverPosY;
	extern int resultPosY;
	extern int creditsPosY;
	extern int creditsPosY2;
	extern int creditsPosY3;
	extern int creditsPosY4;
	extern int creditsPosY5;
	extern int creditsPosY6;
	extern int creditsPosY7;
	extern int creditsPosY8;
	extern int creditsPosY9;
	extern int creditsPosY10;
	extern int creditsPosY11;
	extern int credits2PosY;
	extern int credits2PosY2;
	extern int credits2PosY3;
	extern int credits2PosY4;
	extern int credits2PosY5;
	extern int credits2PosY6;
	extern int credits2PosY7;
	extern int instructionsPosY;
	extern int instructionsPosY2;
	extern int instructionsPosY3;
	extern int instructionsPosY4;
	extern int instructionsPosY5;
	extern int instructionsPosY6;
	extern int instructionsPosY7;
	extern int instructionsPosY8;
	extern int instructionsPosY9;
	extern int instructionsPosY10;
	extern int instructions2PosY;
	extern int instructions2PosY2;
	extern int instructions2PosY3;
	extern int instructions3PosY;
	extern int instructions3PosY2;
	extern int instructions3PosY3;
	extern int instructions3PosY4;
	extern int instructions3PosY5;
	extern int instructions3PosY6;
	extern int instructions3PosY7;
	extern int instructions4PosY;
	extern int instructions4PosY2;
	extern int instructions4PosY3;
	extern int instructions4PosY4;
	extern int instructions4PosY5;
	extern int instructions4PosY6;
	extern int instructions4PosY7;
	extern int instructions4PosY8;
	extern int menuPosY;
	extern int menuPosY2;
	extern int menuPosY3;
	extern int menuPosY4;
	extern int menuPosY5;
	extern int configurationsPosY;
	extern int configurationsPosY2;
	extern int configurationsPosY3;
	extern int configurationsPosY4;
	extern int configurationsPosY5;
	extern int configurationsPosY6;
	extern int resolutionsPosY;
	extern int resolutionsPosY2;
	extern int resolutionsPosY3;
	extern int resolutionsPosY4;
	extern int resolutionsPosY5;
	extern int resolutionsPosY6;
	extern int audioPosY;
	extern int audioPosY2;
	extern int audioPosY3;
	extern int audioPosY4;
	extern int audioPosY5;
	extern int audioPosY6;
	extern int versionPosY;

	extern int textsSize;
	extern int textsSize2;
	extern int textsSize3;
	extern int textsSize4;
	extern int textsSize5;
	extern int textsSize6;
	extern int textsSize7;
	extern int keysSize;

	void updateVariables();
}

#endif
